Subject: Re: File missing from git branch

From: Junio C Hamano <[email-masked]>
Date: Wed, 01 Jan 2025 08:53:59 -0800

Prasad Pandit <[email-masked]> writes:

> * Generally committed local changes are visible across local
> branches, right? Is there a way to see/access those locally added
> files across local branches?

Not at all.

In fact, the contents on branch A is unmolested by the act of
committing changes on branch B.  They are independent lines of
development.  Otherwise your version control system is broken.

Until you decide to consolidate the change you made on branch A
into branch B, that is.  People call that operation "merging branch
A to branch B".